<template>
  <el-dialog 
    :visible.sync="show" 
    v-on:update:visible="updateShowDialog"
    :width="widthModal"
    custom-class="dialog-orange"
    :show-close="false"
    :close-on-press-escape="false"
    :close-on-click-modal="closeOnModal"> 
      <el-row >
        <el-col :span="5" class="text-center"><img src="../assets/images/happy.svg"  alt="emoticon"></el-col>
        <el-col :span="18" :offset="1">
          <p style="margin-bottom: 0.5rem"><strong> ¡Buen trabajo! </strong></p>
          <p v-html="parrafo"> </p>         
          <el-row type="flex" justify="end">
            <el-button @click="$emit('btnEvent')" class="border-orange" style="margin-top: 4rem" type="primary" plain> {{ btn1 }} </el-button>   
            <el-button v-if="btn2" v-on:click="$emit('eventBtn')" style="margin-top: 4rem" type="primary"> {{ btn2}} </el-button>                        
          </el-row>
        </el-col>
      </el-row>
   </el-dialog>
</template>

<script>
  export default {
    props: {
    showDialog: Boolean,
    styleModal: Boolean,
    parrafo: String,
    btn1: String,
    btn2: {
      type: String,
      required: false
    },
    widthModal: {
      type: String,
      default: '33%',
      required: false
     }
    },
    data(){
      let conditional = this.styleModal == true ? false : true
      return {
        show: this.showDialog,
        closeOnModal: conditional
      }
    },
    methods: {
      updateShowDialog(isVisible) {
        if (isVisible) return false;
        this.$emit('update:showDialog', false )
      },
      created() {
        console.log(this.styleModal, 'this.styleModal')
        if(this.styleModal == true) {
          this.closeOnModal = false
        }
      }
    }
  }
</script>